Bug 1444757 - mate-session does not start without /bin/dbus-launch
Summary: mate-session does not start without /bin/dbus-launch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mate-session-manager
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-24 08:25 UTC by Dominik Mierzejewski
Modified: 2017-05-15 04:27 UTC (History)
2 users (show)

Fixed In Version: mate-session-manager-1.16.1-3.fc25 mate-session-manager-1.18.0-3.fc26 mate-session-manager-1.16.1-3.el7 mate-session-manager-1.16.1-3.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-10 04:00:13 UTC


Attachments (Terms of Use)

Description Dominik Mierzejewski 2017-04-24 08:25:43 UTC
Description of problem:
mate-session fails to start if /bin/dbus-launch is not present (dbus-x11 package).

Version-Release number of selected component (if applicable):
mate-session-manager-1.16.1-1.el7.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. yum remove dbus-x11
2. Try logging in to MATE session

Actual results:
Session fails to start. The following errors are visible in the journal:

Apr 24 04:07:35 localhost mate-session[10373]: Gtk-CRITICAL: gtk_main_quit: assertion 'main_loops != NULL' failed
Apr 24 04:07:35 localhost mate-session[10373]: CRITICAL: dbus_g_proxy_new_for_name: assertion 'connection != NULL' failed
Apr 24 04:07:36 localhost mate-session[10373]: Gtk-CRITICAL: gtk_main_quit: assertion 'main_loops != NULL' failed
Apr 24 04:07:36 localhost mate-session[10373]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Apr 24 04:07:36 localhost gnome-keyring-daemon[10217]: The SSH agent was already initialized
Apr 24 04:07:36 localhost gnome-keyring-daemon[10217]: The GPG agent was already initialized
Apr 24 04:07:36 localhost gnome-keyring-daemon[10217]: couldn't connect to dbus session bus: /bin/dbus-launch terminated abnormally without any error message
Apr 24 04:07:36 localhost gnome-keyring-daemon[10217]: The PKCS#11 component was already initialized
Apr 24 04:07:36 localhost mate-session[10373]: WARNING: Could not make bus activated clients aware of GTK_OVERLAY_SCROLLING=0 environment variable: /bin/dbus-launch termina
Apr 24 04:07:36 localhost mate-session[10373]: CRITICAL: error getting session bus: /bin/dbus-launch terminated abnormally without any error message
Apr 24 04:07:36 localhost mate-session[10373]: WARNING: Unable to register presence with session bus
Apr 24 04:07:36 localhost mate-session[10373]: CRITICAL: dbus_g_proxy_new_for_name: assertion 'connection != NULL' failed
Apr 24 04:07:36 localhost mate-session[10373]: CRITICAL: error getting session bus: /bin/dbus-launch terminated abnormally without any error message

Expected results:
Session starts successfully.

Comment 1 Wolfgang Ulbrich 2017-04-25 06:33:35 UTC
[root@localhost rave]# LANG=C
[root@localhost rave]# yum remove dbus-x11
Loaded plugins: auto-update-debuginfo, fastestmirror, langpacks
Resolving Dependencies
--> Running transaction check
---> Package dbus-x11.x86_64 1:1.6.12-17.el7 will be erased
--> Processing Dependency: dbus-x11 for package: mutter-3.14.4-31.el7.x86_64
--> Processing Dependency: dbus-x11 for package: firewall-config-0.4.3.2-8.1.el7_3.2.noarch
--> Processing Dependency: dbus-x11 for package: ibus-1.5.3-13.el7.x86_64
--> Processing Dependency: dbus-x11 for package: lightdm-1.10.6-4.el7.x86_64
--> Processing Dependency: dbus-x11 for package: 1:control-center-3.14.5-19.el7.x86_64
--> Processing Dependency: dbus-x11 for package: gnome-session-3.14.0-5.el7.x86_64
--> Processing Dependency: dbus-x11 for package: system-config-printer-1.4.1-19.el7.x86_64
--> Running transaction check
---> Package control-center.x86_64 1:3.14.5-19.el7 will be erased
--> Processing Dependency: control-center for package: gnome-shell-3.14.4-53.el7.x86_64
---> Package firewall-config.noarch 0:0.4.3.2-8.1.el7_3.2 will be erased
---> Package gnome-session.x86_64 0:3.14.0-5.el7 will be erased
--> Processing Dependency: gnome-session for package: 1:gdm-3.14.2-20.el7_3.x86_64
---> Package ibus.x86_64 0:1.5.3-13.el7 will be erased
--> Processing Dependency: ibus for package: ibus-kkc-1.5.18-7.el7.x86_64
--> Processing Dependency: ibus >= 1.3.99 for package: ibus-hangul-1.4.2-10.el7.x86_64
--> Processing Dependency: ibus >= 1.2.0 for package: ibus-libpinyin-1.6.91-4.el7.x86_64
--> Processing Dependency: ibus for package: ibus-sayura-1.3.2-3.el7.x86_64
--> Processing Dependency: ibus > 1.3.0 for package: ibus-table-1.5.0-5.el7.noarch
--> Processing Dependency: ibus >= 1.4.0 for package: ibus-m17n-1.3.4-13.el7.x86_64
--> Processing Dependency: ibus for package: ibus-rawcode-1.3.2-3.el7.x86_64
--> Processing Dependency: ibus = 1.5.3-13.el7 for package: ibus-setup-1.5.3-13.el7.noarch
--> Processing Dependency: ibus >= 1.3 for package: ibus-chewing-1.4.4-14.el7.x86_64
--> Processing Dependency: ibus(x86-64) = 1.5.3-13.el7 for package: ibus-gtk2-1.5.3-13.el7.x86_64
--> Processing Dependency: ibus(x86-64) = 1.5.3-13.el7 for package: ibus-gtk3-1.5.3-13.el7.x86_64
---> Package lightdm.x86_64 0:1.10.6-4.el7 will be erased
--> Processing Dependency: lightdm(x86-64) for package: lightdm-gtk-1.8.5-19.el7.x86_64
---> Package mutter.x86_64 0:3.14.4-31.el7 will be erased
---> Package system-config-printer.x86_64 0:1.4.1-19.el7 will be erased
--> Running transaction check
---> Package gdm.x86_64 1:3.14.2-20.el7_3 will be erased
--> Processing Dependency: gdm for package: pulseaudio-gdm-hooks-6.0-9.el7_3.x86_64
--> Processing Dependency: gdm >= 1:2.22.0 for package: pulseaudio-gdm-hooks-6.0-9.el7_3.x86_64
---> Package gnome-shell.x86_64 0:3.14.4-53.el7 will be erased
---> Package ibus-chewing.x86_64 0:1.4.4-14.el7 will be erased
---> Package ibus-gtk2.x86_64 0:1.5.3-13.el7 will be erased
---> Package ibus-gtk3.x86_64 0:1.5.3-13.el7 will be erased
---> Package ibus-hangul.x86_64 0:1.4.2-10.el7 will be erased
---> Package ibus-kkc.x86_64 0:1.5.18-7.el7 will be erased
---> Package ibus-libpinyin.x86_64 0:1.6.91-4.el7 will be erased
---> Package ibus-m17n.x86_64 0:1.3.4-13.el7 will be erased
---> Package ibus-rawcode.x86_64 0:1.3.2-3.el7 will be erased
---> Package ibus-sayura.x86_64 0:1.3.2-3.el7 will be erased
---> Package ibus-setup.noarch 0:1.5.3-13.el7 will be erased
---> Package ibus-table.noarch 0:1.5.0-5.el7 will be erased
--> Processing Dependency: ibus-table >= 1.2 for package: ibus-table-chinese-1.4.6-3.el7.noarch
--> Processing Dependency: ibus-table >= 1.2 for package: ibus-table-chinese-1.4.6-3.el7.noarch
---> Package lightdm-gtk.x86_64 0:1.8.5-19.el7 will be erased
--> Running transaction check
---> Package ibus-table-chinese.noarch 0:1.4.6-3.el7 will be erased
---> Package pulseaudio-gdm-hooks.x86_64 0:6.0-9.el7_3 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================
 Package                       Arch           Version                     Repository             Size
======================================================================================================
Removing:
 dbus-x11                      x86_64         1:1.6.12-17.el7             @base                  35 k
Removing for dependencies:
 control-center                x86_64         1:3.14.5-19.el7             @base                  17 M
 firewall-config               noarch         0.4.3.2-8.1.el7_3.2         @updates              1.0 M
 gdm                           x86_64         1:3.14.2-20.el7_3           @updates              3.2 M
 gnome-session                 x86_64         3.14.0-5.el7                @base                 1.6 M
 gnome-shell                   x86_64         3.14.4-53.el7               @base                 9.3 M
 ibus                          x86_64         1.5.3-13.el7                @cr                   1.3 M
 ibus-chewing                  x86_64         1.4.4-14.el7                @cr                   211 k
 ibus-gtk2                     x86_64         1.5.3-13.el7                @cr                    32 k
 ibus-gtk3                     x86_64         1.5.3-13.el7                @cr                    32 k
 ibus-hangul                   x86_64         1.4.2-10.el7                @base                 193 k
 ibus-kkc                      x86_64         1.5.18-7.el7                @base                 229 k
 ibus-libpinyin                x86_64         1.6.91-4.el7                @anaconda             2.0 M
 ibus-m17n                     x86_64         1.3.4-13.el7                @anaconda             156 k
 ibus-rawcode                  x86_64         1.3.2-3.el7                 @anaconda              40 k
 ibus-sayura                   x86_64         1.3.2-3.el7                 @anaconda              36 k
 ibus-setup                    noarch         1.5.3-13.el7                @cr                   196 k
 ibus-table                    noarch         1.5.0-5.el7                 @anaconda             812 k
 ibus-table-chinese            noarch         1.4.6-3.el7                 @anaconda              40 k
 lightdm                       x86_64         1.10.6-4.el7                @epel-testing         504 k
 lightdm-gtk                   x86_64         1.8.5-19.el7                @epel-testing         175 k
 mutter                        x86_64         3.14.4-31.el7               @base                 5.7 M
 pulseaudio-gdm-hooks          x86_64         6.0-9.el7_3                 @updates              354  
 system-config-printer         x86_64         1.4.1-19.el7                @base                 1.3 M

Transaction Summary
======================================================================================================
Remove  1 Package (+23 Dependent packages)

Installed size: 45 M
Is this ok [y/N]: n



How do you login mate session without lightdm or gdm DM ?

Comment 2 Dominik Mierzejewski 2017-04-25 08:21:37 UTC
Using xrdp. I have mate-session invocation in .Xclients:

$ cat .Xclients 
/usr/bin/mate-session

I think using startx would work the same way.

Comment 3 Fedora Update System 2017-05-07 13:28:18 UTC
mate-session-manager-1.16.1-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4427c935cb

Comment 4 Fedora Update System 2017-05-07 13:30:24 UTC
mate-session-manager-1.18.0-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8dac46d9cf

Comment 5 Fedora Update System 2017-05-07 13:30:52 UTC
mate-session-manager-1.16.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2d9f7d0dd6

Comment 6 Fedora Update System 2017-05-07 13:31:20 UTC
mate-session-manager-1.16.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5fd5b2ce64

Comment 7 Fedora Update System 2017-05-09 00:45:38 UTC
mate-session-manager-1.16.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2d9f7d0dd6

Comment 8 Fedora Update System 2017-05-09 02:37:50 UTC
mate-session-manager-1.18.0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8dac46d9cf

Comment 9 Fedora Update System 2017-05-09 04:26:40 UTC
mate-session-manager-1.16.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4427c935cb

Comment 10 Fedora Update System 2017-05-09 06:01:07 UTC
mate-session-manager-1.16.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5fd5b2ce64

Comment 11 Fedora Update System 2017-05-10 04:00:13 UTC
mate-session-manager-1.16.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-05-12 14:12:06 UTC
mate-session-manager-1.18.0-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-05-14 21:55:05 UTC
mate-session-manager-1.16.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-05-15 04:27:19 UTC
mate-session-manager-1.16.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.